Brew rmtree ruby - broken Homebrew installation

#1

Hi,

I ran brew rmtree ruby, which in turn uninstalled ruby and libyaml. Unfortunately this broke my Homebrew installation. What steps should I take to recover from this? Thanks!

brew doctor output:

/System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': dlopen(/usr/local/Homebrew/Library/Homebrew/vendor/bundle/ruby/2.3.0/gems/psych-3.1.0/lib/psych.bundle, 0x0009): dependent dylib '/usr/local/opt/libyaml/lib/libyaml-0.2.dylib' not found for '/usr/local/Homebrew/Library/Homebrew/vendor/bundle/ruby/2.3.0/gems/psych-3.1.0/lib/psych.bundle' - /usr/local/Homebrew/Library/Homebrew/vendor/bundle/ruby/2.3.0/gems/psych-3.1.0/lib/psych.bundle (LoadError)
(Sean Molenaar) #2

I think your best option is to reinstall all of homebrew.